Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 2652)
+++ .hgsubstate	(revision 2666)
@@ -1,1 +1,1 @@
-ea3c26b8075420a1662cf2c9dfdb2199d10b07f4 inc/libs/clearbricks
+023222b445b78b875f9f49041e7bd136cebd042e inc/libs/clearbricks
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 2614)
+++ admin/comment.php	(revision 2666)
@@ -91,5 +91,5 @@
 
 if (!$comment_id && !$core->error->flag()) {
-	$core->error->add(__('No comment'));
+	$core->error->add(__('No comments'));
 }
 
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2614)
+++ admin/post.php	(revision 2666)
@@ -652,5 +652,5 @@
 		showComments($comments,$has_action);
 	} else {
-		echo '<p>'.__('No comment').'</p>';
+		echo '<p>'.__('No comments').'</p>';
 	}
 
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 2566)
+++ inc/admin/lib.pager.php	(revision 2666)
@@ -381,5 +381,5 @@
 				echo '<p><strong>'.__('No comments or trackbacks matches the filter').'</strong></p>';
 			} else {
-				echo '<p><strong>'.__('No comment').'</strong></p>';
+				echo '<p><strong>'.__('No comments').'</strong></p>';
 			}
 		}
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 2665)
+++ inc/public/class.dc.template.php	(revision 2666)
@@ -1792,5 +1792,5 @@
 			$operation,
 			array(
-				'none' => 'no comment',
+				'none' => 'no comments',
 				'one'  => 'one comment',
 				'more' => '%d comments'
Index: locales/bn/main.po
===================================================================
--- locales/bn/main.po	(revision 2432)
+++ locales/bn/main.po	(revision 2666)
@@ -676,5 +676,5 @@
 msgstr "এই এন্ট্রিটি নেই।"
 
-msgid "No comment"
+msgid "No comments"
 msgstr "শূণ্য মন্তব্য"
 
Index: locales/bn/public.po
===================================================================
--- locales/bn/public.po	(revision 221)
+++ locales/bn/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "বিস্তারিত"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "শূণ্য মন্তব্য"
 
Index: locales/ca/main.po
===================================================================
--- locales/ca/main.po	(revision 2432)
+++ locales/ca/main.po	(revision 2666)
@@ -703,5 +703,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Sense comentaris"
 
Index: locales/ca/public.po
===================================================================
--- locales/ca/public.po	(revision 221)
+++ locales/ca/public.po	(revision 2666)
@@ -41,5 +41,5 @@
 msgstr "Continuar llegint"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "Sense comentaris"
 
Index: locales/cs/main.po
===================================================================
--- locales/cs/main.po	(revision 2432)
+++ locales/cs/main.po	(revision 2666)
@@ -675,5 +675,5 @@
 msgstr "Položka neexistuje!"
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Žádné komentáře"
 
Index: locales/cs/public.po
===================================================================
--- locales/cs/public.po	(revision 221)
+++ locales/cs/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "Číst dál..."
 
-msgid "no comment"
+msgid "no comments"
 msgstr "žádné komentáře"
 
Index: locales/da/main.po
===================================================================
--- locales/da/main.po	(revision 2432)
+++ locales/da/main.po	(revision 2666)
@@ -677,5 +677,5 @@
 msgstr "Indlægget eksisterer ikke."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Ingen kommentar"
 
Index: locales/da/public.po
===================================================================
--- locales/da/public.po	(revision 221)
+++ locales/da/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr ""
 
-msgid "no comment"
+msgid "no comments"
 msgstr ""
 
Index: locales/de/main.po
===================================================================
--- locales/de/main.po	(revision 2432)
+++ locales/de/main.po	(revision 2666)
@@ -674,5 +674,5 @@
 msgstr "Eintrag existiert nicht."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Kein Kommentar"
 
Index: locales/de/public.po
===================================================================
--- locales/de/public.po	(revision 759)
+++ locales/de/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "Weiterlesen"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "Kein Kommentar"
 
Index: locales/en/main.po
===================================================================
--- locales/en/main.po	(revision 2487)
+++ locales/en/main.po	(revision 2666)
@@ -763,5 +763,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/en/public.po
===================================================================
--- locales/en/public.po	(revision 2285)
+++ locales/en/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr ""
 
-msgid "no comment"
+msgid "no comments"
 msgstr ""
 
Index: locales/eo/main.po
===================================================================
--- locales/eo/main.po	(revision 2432)
+++ locales/eo/main.po	(revision 2666)
@@ -667,5 +667,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/eo/public.po
===================================================================
--- locales/eo/public.po	(revision 221)
+++ locales/eo/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Legi plu"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "neniu komento"
 
Index: locales/es-ar/main.po
===================================================================
--- locales/es-ar/main.po	(revision 2432)
+++ locales/es-ar/main.po	(revision 2666)
@@ -678,5 +678,5 @@
 msgstr "La entrada no existe."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Ningún comentario"
 
Index: locales/es-ar/public.po
===================================================================
--- locales/es-ar/public.po	(revision 221)
+++ locales/es-ar/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Continuar leyendo"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "sin comentarios"
 
Index: locales/es/main.po
===================================================================
--- locales/es/main.po	(revision 2432)
+++ locales/es/main.po	(revision 2666)
@@ -680,5 +680,5 @@
 msgstr "La entrada no existe."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Ningún comentario"
 
Index: locales/es/public.po
===================================================================
--- locales/es/public.po	(revision 221)
+++ locales/es/public.po	(revision 2666)
@@ -45,5 +45,5 @@
 msgstr "Seguir leyendo"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "sin comentarios"
 
Index: locales/eu/main.po
===================================================================
--- locales/eu/main.po	(revision 2432)
+++ locales/eu/main.po	(revision 2666)
@@ -667,5 +667,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/eu/public.po
===================================================================
--- locales/eu/public.po	(revision 221)
+++ locales/eu/public.po	(revision 2666)
@@ -41,5 +41,5 @@
 msgstr "Jarraitu irakurketa"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "iruzkinik ez "
 
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2577)
+++ locales/fr/main.po	(revision 2666)
@@ -771,5 +771,5 @@
 msgstr "Le commentaire a été créé."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Aucun commentaire"
 
Index: locales/fr/public.po
===================================================================
--- locales/fr/public.po	(revision 2503)
+++ locales/fr/public.po	(revision 2666)
@@ -41,5 +41,5 @@
 msgstr "Lire la suite"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "aucun commentaire"
 
Index: locales/hu/main.po
===================================================================
--- locales/hu/main.po	(revision 2432)
+++ locales/hu/main.po	(revision 2666)
@@ -698,5 +698,5 @@
 msgstr "A bejegyzés nem létezik."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Nincs hozzászólás"
 
Index: locales/hu/public.po
===================================================================
--- locales/hu/public.po	(revision 221)
+++ locales/hu/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "Folytatás"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "nincs hozzászólás"
 
Index: locales/it/main.po
===================================================================
--- locales/it/main.po	(revision 2432)
+++ locales/it/main.po	(revision 2666)
@@ -674,5 +674,5 @@
 msgstr "Questo articolo non esiste."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Nessun commento"
 
Index: locales/it/public.po
===================================================================
--- locales/it/public.po	(revision 221)
+++ locales/it/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Continua lettura"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "nessuno commento"
 
Index: locales/ja/main.po
===================================================================
--- locales/ja/main.po	(revision 2432)
+++ locales/ja/main.po	(revision 2666)
@@ -683,5 +683,5 @@
 msgstr "エントリは存在しません。"
 
-msgid "No comment"
+msgid "No comments"
 msgstr "コメントはありません"
 
Index: locales/ja/public.po
===================================================================
--- locales/ja/public.po	(revision 221)
+++ locales/ja/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "続きを読む -"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "コメント(0)"
 
Index: locales/ko/main.po
===================================================================
--- locales/ko/main.po	(revision 2432)
+++ locales/ko/main.po	(revision 2666)
@@ -682,5 +682,5 @@
 msgstr "존재하지 않는 글꼭지입니다."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "댓글이 없습니다."
 
Index: locales/lt/main.po
===================================================================
--- locales/lt/main.po	(revision 2432)
+++ locales/lt/main.po	(revision 2666)
@@ -643,5 +643,5 @@
 msgstr "Įrašas neegzistuoja."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Komentarų nėra."
 
Index: locales/lt/public.po
===================================================================
--- locales/lt/public.po	(revision 813)
+++ locales/lt/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Skaityti toliau"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "komentarų nėra"
 
Index: locales/nl/main.po
===================================================================
--- locales/nl/main.po	(revision 2432)
+++ locales/nl/main.po	(revision 2666)
@@ -670,5 +670,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/nl/public.po
===================================================================
--- locales/nl/public.po	(revision 820)
+++ locales/nl/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "Lees verder"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "geen comments"
 
Index: locales/oc/main.po
===================================================================
--- locales/oc/main.po	(revision 2432)
+++ locales/oc/main.po	(revision 2666)
@@ -674,5 +674,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/oc/public.po
===================================================================
--- locales/oc/public.po	(revision 221)
+++ locales/oc/public.po	(revision 2666)
@@ -41,5 +41,5 @@
 msgstr ""
 
-msgid "no comment"
+msgid "no comments"
 msgstr "0 comentaris"
 
Index: locales/pl/main.po
===================================================================
--- locales/pl/main.po	(revision 2432)
+++ locales/pl/main.po	(revision 2666)
@@ -671,5 +671,5 @@
 msgstr "Wpis nie istnieje."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Brak komentarzy"
 
Index: locales/pl/public.po
===================================================================
--- locales/pl/public.po	(revision 516)
+++ locales/pl/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Kontynuuj czytanie"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "brak komentarzy"
 
Index: locales/pt-br/main.po
===================================================================
--- locales/pt-br/main.po	(revision 2432)
+++ locales/pt-br/main.po	(revision 2666)
@@ -706,5 +706,5 @@
 msgstr "Este post não existe."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Nenhum comentário"
 
Index: locales/pt-br/public.po
===================================================================
--- locales/pt-br/public.po	(revision 221)
+++ locales/pt-br/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "Continue a leitura"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "nenhum comentário"
 
Index: locales/pt/main.po
===================================================================
--- locales/pt/main.po	(revision 2432)
+++ locales/pt/main.po	(revision 2666)
@@ -679,5 +679,5 @@
 msgstr "A entrada não existe."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Sem comentário"
 
Index: locales/pt/public.po
===================================================================
--- locales/pt/public.po	(revision 221)
+++ locales/pt/public.po	(revision 2666)
@@ -44,5 +44,5 @@
 msgstr "Continuar leitura"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "sem comentário"
 
Index: locales/ro/main.po
===================================================================
--- locales/ro/main.po	(revision 2432)
+++ locales/ro/main.po	(revision 2666)
@@ -669,5 +669,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/ro/public.po
===================================================================
--- locales/ro/public.po	(revision 834)
+++ locales/ro/public.po	(revision 2666)
@@ -43,5 +43,5 @@
 msgstr "Citește în continuare"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "niciun comentariu"
 
Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 2432)
+++ locales/ru/main.po	(revision 2666)
@@ -678,5 +678,5 @@
 msgstr "Эта запись не существует."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Нет комментариев"
 
Index: locales/ru/public.po
===================================================================
--- locales/ru/public.po	(revision 221)
+++ locales/ru/public.po	(revision 2666)
@@ -40,5 +40,5 @@
 msgstr "Читать дальше"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "нет комментариев"
 
Index: locales/sr/main.po
===================================================================
--- locales/sr/main.po	(revision 2432)
+++ locales/sr/main.po	(revision 2666)
@@ -695,5 +695,5 @@
 msgstr "Ce billet n'existe pas."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Aucun commentaire"
 
Index: locales/sr/public.po
===================================================================
--- locales/sr/public.po	(revision 221)
+++ locales/sr/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr ""
 
-msgid "no comment"
+msgid "no comments"
 msgstr ""
 
Index: locales/sv/main.po
===================================================================
--- locales/sv/main.po	(revision 2432)
+++ locales/sv/main.po	(revision 2666)
@@ -667,5 +667,5 @@
 msgstr ""
 
-msgid "No comment"
+msgid "No comments"
 msgstr ""
 
Index: locales/sv/public.po
===================================================================
--- locales/sv/public.po	(revision 221)
+++ locales/sv/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr ""
 
-msgid "no comment"
+msgid "no comments"
 msgstr ""
 
Index: locales/te/main.po
===================================================================
--- locales/te/main.po	(revision 2432)
+++ locales/te/main.po	(revision 2666)
@@ -692,5 +692,5 @@
 msgstr "టపా లేనే లేదు."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "వ్యాఖ్యలు లేవు"
 
Index: locales/te/public.po
===================================================================
--- locales/te/public.po	(revision 221)
+++ locales/te/public.po	(revision 2666)
@@ -41,5 +41,5 @@
 msgstr "చదవడం కొనసాగించండి"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "వ్యాఖ్యలు లేవు"
 
Index: locales/tr/main.po
===================================================================
--- locales/tr/main.po	(revision 2432)
+++ locales/tr/main.po	(revision 2666)
@@ -678,5 +678,5 @@
 msgstr "Yazı mevcut değil."
 
-msgid "No comment"
+msgid "No comments"
 msgstr "Ahkam yok"
 
Index: locales/tr/public.po
===================================================================
--- locales/tr/public.po	(revision 221)
+++ locales/tr/public.po	(revision 2666)
@@ -39,5 +39,5 @@
 msgstr "Tamamını oku"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "ahkam yok"
 
Index: locales/zh-cn/main.po
===================================================================
--- locales/zh-cn/main.po	(revision 2432)
+++ locales/zh-cn/main.po	(revision 2666)
@@ -676,5 +676,5 @@
 msgstr "文章不存在。"
 
-msgid "No comment"
+msgid "No comments"
 msgstr "没有评论"
 
Index: locales/zh-cn/public.po
===================================================================
--- locales/zh-cn/public.po	(revision 253)
+++ locales/zh-cn/public.po	(revision 2666)
@@ -42,5 +42,5 @@
 msgstr "继续阅读"
 
-msgid "no comment"
+msgid "no comments"
 msgstr "没有评论"
 
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2614)
+++ plugins/pages/page.php	(revision 2666)
@@ -610,5 +610,5 @@
 		showComments($comments,$has_action);
 	} else {
-		echo '<p>'.__('No comment').'</p>';
+		echo '<p>'.__('No comments').'</p>';
 	}
 