Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 954)
+++ locales/fr/plugins.po	(revision 963)
@@ -12,12 +12,20 @@
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2012-08-13 09:59+0200\n"
-"PO-Revision-Date: 2012-08-13 07:28+0000\n"
-"Last-Translator: xave <xave@dotclear.net>\n"
-"Language-Team: French (http://www.transifex.com/projects/p/dotclear/language/fr/)\n"
+"PO-Revision-Date: 2012-11-06 10:04+0100\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: French (http://www.transifex.com/projects/p/dotclear/language/"
+"fr/)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Language: fr\n"
-"Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Poedit 1.5.4\n"
+
+msgid "about:config"
+msgstr "about:config"
+
+msgid "Manage every blog configuration directive"
+msgstr "Gestion des directives de configuration des blogs"
 
 msgid "no"
@@ -51,4 +59,7 @@
 msgstr "Réglages généraux"
 
+msgid "Akismet"
+msgstr "Akismet"
+
 msgid "Akismet spam filter"
 msgstr "Filtre d'indésirable Akismet"
@@ -79,4 +90,7 @@
 msgstr "jours"
 
+msgid "Generic antispam plugin for Dotclear"
+msgstr "Antispam générique pour Dotclear"
+
 msgid "IP Blacklist / Whitelist Filter"
 msgstr "Filtre de liste noire et blanche d'IP"
@@ -241,5 +255,7 @@
 #, php-format
 msgid "All spam comments older than %s day(s) will be automatically deleted."
-msgstr "Tous les commentaires indésirables âgés d'au moins %s jour(s) seront supprimés automatiquement."
+msgstr ""
+"Tous les commentaires indésirables âgés d'au moins %s jour(s) seront "
+"supprimés automatiquement."
 
 msgid "You can modify this duration in "
@@ -294,4 +310,7 @@
 msgstr "Ajouter des fichiers à la page"
 
+msgid "Manage post attachments"
+msgstr "Gestion des fichiers attachés"
+
 msgid "Blogroll"
 msgstr "Liste des liens"
@@ -300,4 +319,7 @@
 msgstr "Gestion de la liste des liens"
 
+msgid "Manage your blogroll"
+msgstr "Gestion de votre liste de liens"
+
 msgid "Links"
 msgstr "Liens"
@@ -480,4 +502,10 @@
 msgstr "Importation"
 
+msgid "Blowup Config"
+msgstr "Configuration de Blowup"
+
+msgid "Configure your Blowup Theme"
+msgstr "Configurer votre thème Blowup"
+
 msgid "Light linear gradient"
 msgstr "Dégradé linéaire clair"
@@ -507,6 +535,10 @@
 msgstr "Sélectionnez un style prédéfini"
 
-msgid "For the following reasons, images cannot be created. You won't be able to change some background properties."
-msgstr "Pour les raisons suivantes, les images n'ont pu être créées. Vous ne pourrez pas changer certaines propriétés de fond."
+msgid ""
+"For the following reasons, images cannot be created. You won't be able to "
+"change some background properties."
+msgstr ""
+"Pour les raisons suivantes, les images n'ont pu être créées. Vous ne pourrez "
+"pas changer certaines propriétés de fond."
 
 msgid "Theme configuration has been successfully updated."
@@ -688,6 +720,11 @@
 msgstr "Configuration de l'import/export"
 
-msgid "You can share your configuration using the following code. To apply a configuration, paste the code, click on \"Apply code\" and save."
-msgstr "Vous pouvez partager votre configuration en utilisant le code suivant. Pour appliquer une configuration, copiez le code, cliquez sur « Appliquer le code », puis sauvegardez."
+msgid ""
+"You can share your configuration using the following code. To apply a "
+"configuration, paste the code, click on \"Apply code\" and save."
+msgstr ""
+"Vous pouvez partager votre configuration en utilisant le code suivant. Pour "
+"appliquer une configuration, copiez le code, cliquez sur « Appliquer le code "
+"», puis sauvegardez."
 
 msgid "Copy this code:"
@@ -697,6 +734,10 @@
 msgstr "défaut"
 
-msgid "At least one of the following functions is not available: imagecreatetruecolor, imagepng & imagecreatefrompng."
-msgstr "Au moins une des fonctions suivantes n'est pas disponible : imagecreatetruecolor, imagepng et imagecreatefrompng."
+msgid ""
+"At least one of the following functions is not available: "
+"imagecreatetruecolor, imagepng & imagecreatefrompng."
+msgstr ""
+"Au moins une des fonctions suivantes n'est pas disponible : "
+"imagecreatetruecolor, imagepng et imagecreatefrompng."
 
 msgid "The 'public' directory does not exist."
@@ -719,4 +760,10 @@
 msgstr "Impossible d'ouvrir l'image."
 
+msgid "Fair Trackbacks"
+msgstr "Filtre de rétroliens"
+
+msgid "Trackback validity check"
+msgstr "Contrôle de validité des rétroliens"
+
 msgid "Checks trackback source for a link to the post"
 msgstr "Contrôle si la source du rétrolien comporte un lien vers le billet"
@@ -725,9 +772,17 @@
 msgstr "Import/Export"
 
+msgid "Import / Export"
+msgstr "Import / Export"
+
+msgid "Import and Export your blog"
+msgstr "Importez et exportez votre blog"
+
 msgid "Flat file export"
 msgstr "Fichier d'exportation « à plat »"
 
 msgid "Exports a blog or a full Dotclear installation to flat file."
-msgstr "Exporte un blog ou une installation Dotclear complète vers un fichier « à plat »."
+msgstr ""
+"Exporte un blog ou une installation Dotclear complète vers un fichier « à "
+"plat »."
 
 msgid "Export file not found."
@@ -735,9 +790,8 @@
 
 msgid "Failed to compress export file."
-msgstr ""
-
-#, fuzzy
+msgstr "Impossible de compresser le fichier d'export."
+
 msgid "Single blog"
-msgstr "Importe un blog"
+msgstr "Blog simple"
 
 #, php-format
@@ -745,10 +799,11 @@
 msgstr "Cela créera un export du blog courant : %s"
 
-#, fuzzy
 msgid "Compress file"
-msgstr "Fichiers du thème"
+msgstr "Compresse le fichier"
 
 msgid "You may also want to download your media directory as a zip file"
-msgstr "Vous pouvez également télécharger votre répertoire de média sous forme de fichier archive zip"
+msgstr ""
+"Vous pouvez également télécharger votre répertoire de média sous forme de "
+"fichier archive zip"
 
 msgid "Export"
@@ -756,9 +811,8 @@
 
 msgid "Multiple blogs"
-msgstr ""
-
-#, fuzzy
+msgstr "Tous les blogs"
+
 msgid "This will create an export of all the content of your database."
-msgstr "Attention : Cela supprimera au préalable tout le contenu de votre base de données à l'exception des utilisateurs."
+msgstr "Cela créera un export avec tout le contenu de votre base de données."
 
 msgid "Congratulation!"
@@ -784,12 +838,21 @@
 
 #, php-format
-msgid "This will import your Dotclear 1.2 content as new content in the current blog: %s."
-msgstr "Cela importera votre contenu Dotclear 1.2 comme nouveau contenu dans le blog courant : %s."
-
-msgid "Please note that this process will empty your categories, blogroll, entries and comments on the current blog."
-msgstr "Notez que cela supprimera les catégories, liste de liens, billets et commentaires actuels de votre blog courant. "
+msgid ""
+"This will import your Dotclear 1.2 content as new content in the current "
+"blog: %s."
+msgstr ""
+"Cela importera votre contenu Dotclear 1.2 comme nouveau contenu dans le blog "
+"courant : %s."
+
+msgid ""
+"Please note that this process will empty your categories, blogroll, entries "
+"and comments on the current blog."
+msgstr ""
+"Notez que cela supprimera les catégories, liste de liens, billets et "
+"commentaires actuels de votre blog courant. "
 
 msgid "Depending on the size of your blog, it could take a few minutes."
-msgstr "Cela peut prendre plusieurs minutes en fonction de la taille de votre blog."
+msgstr ""
+"Cela peut prendre plusieurs minutes en fonction de la taille de votre blog."
 
 msgid "General information"
@@ -799,6 +862,9 @@
 msgstr "Importer mon blog maintenant"
 
-msgid "We first need some information about your old Dotclear 1.2 installation."
-msgstr "Nous avons besoin au préalable de quelques informations à propos de votre installation Dotclear 1.2."
+msgid ""
+"We first need some information about your old Dotclear 1.2 installation."
+msgstr ""
+"Nous avons besoin au préalable de quelques informations à propos de votre "
+"installation Dotclear 1.2."
 
 msgid "Entries import options"
@@ -824,10 +890,23 @@
 msgstr "Lisez soigneusement"
 
-msgid "Every newly imported user has received a random password and will need to ask for a new one by following the \"I forgot my password\" link on the login page (Their registered email address has to be valid.)"
-msgstr "Chaque utilisateur nouvellement importé a reçu un mot de passe aléatoire et devra en demander un nouveau en cliquant sur le lien « J'ai oublié mon mot de passe » sur la page d'authentification (son adresse email doit être valide)."
-
-#, php-format
-msgid "Please note that Dotclear 2 has a new URL layout. You can avoid broken links by installing <a href=\"%s\">DC1 redirect</a> plugin and activate it in your blog configuration."
-msgstr "Notez que Dotclear a un nouveau schéma d'URL. Vous pouvez éviter les liens brisés en installant l'extension <a href=\"%s\">DC1 redirect</a> et en l'activant dans la configuration de votre blog."
+msgid ""
+"Every newly imported user has received a random password and will need to "
+"ask for a new one by following the \"I forgot my password\" link on the "
+"login page (Their registered email address has to be valid.)"
+msgstr ""
+"Chaque utilisateur nouvellement importé a reçu un mot de passe aléatoire et "
+"devra en demander un nouveau en cliquant sur le lien « J'ai oublié mon mot "
+"de passe » sur la page d'authentification (son adresse email doit être "
+"valide)."
+
+#, php-format
+msgid ""
+"Please note that Dotclear 2 has a new URL layout. You can avoid broken links "
+"by installing <a href=\"%s\">DC1 redirect</a> plugin and activate it in your "
+"blog configuration."
+msgstr ""
+"Notez que Dotclear a un nouveau schéma d'URL. Vous pouvez éviter les liens "
+"brisés en installant l'extension <a href=\"%s\">DC1 redirect</a> et en "
+"l'activant dans la configuration de votre blog."
 
 msgid "next step"
@@ -853,6 +932,10 @@
 
 #, php-format
-msgid "This will import a feed (RSS or Atom) a as new content in the current blog: %s."
-msgstr "Cela importera un flux (RSS ou ATOM) comme un nouveau contenu dans le blog courant : %s."
+msgid ""
+"This will import a feed (RSS or Atom) a as new content in the current blog: "
+"%s."
+msgstr ""
+"Cela importera un flux (RSS ou ATOM) comme un nouveau contenu dans le blog "
+"courant : %s."
 
 msgid "Feed URL:"
@@ -863,5 +946,7 @@
 
 msgid "Imports a blog or a full Dotclear installation from flat file."
-msgstr "Importe un blog ou une installation Dotclear complète depuis un fichier « à plat »."
+msgstr ""
+"Importe un blog ou une installation Dotclear complète depuis un fichier « à "
+"plat »."
 
 msgid "Single blog successfully imported."
@@ -872,6 +957,9 @@
 
 #, php-format
-msgid "This will import a single blog backup as new content in the current blog: %s."
-msgstr "Cela importera une sauvegarde d'un blog comme nouveau contenu du blog courant : %s."
+msgid ""
+"This will import a single blog backup as new content in the current blog: %s."
+msgstr ""
+"Cela importera une sauvegarde d'un blog comme nouveau contenu du blog "
+"courant : %s."
 
 msgid "Upload a backup file"
@@ -879,19 +967,20 @@
 
 msgid "or pick up a local file in your public directory"
-msgstr "ou sélectionnez un fichier local présent dans votre répertoire de média"
-
-#, fuzzy
+msgstr ""
+"ou sélectionnez un fichier local présent dans votre répertoire de média"
+
 msgid "This will reset all the content of your database, except users."
-msgstr "Attention : Cela supprimera au préalable tout le contenu de votre base de données à l'exception des utilisateurs."
+msgstr ""
+"Attention : Cela supprimera au préalable tout le contenu de votre base de "
+"données à l'exception des utilisateurs."
 
 msgid "Another file with same name exists."
-msgstr ""
-
-#, fuzzy
+msgstr "Un autre fichier portant ce nom existe déjà."
+
 msgid "Failed to extract backup file."
-msgstr "Téléversez un fichier de sauvegarde"
+msgstr "Impossible d'extraire le fichier de sauvegarde."
 
 msgid "No backup in compressed file."
-msgstr ""
+msgstr "Aucune sauvegarde dans le fichier compressé."
 
 msgid "WordPress import"
@@ -902,15 +991,45 @@
 
 #, php-format
-msgid "This will import your WordPress content as new content in the current blog: %s."
-msgstr "Cela importera le contenu WordPress comme un nouveau contenu dans le blog courant : %s."
+msgid ""
+"This will import your WordPress content as new content in the current blog: "
+"%s."
+msgstr ""
+"Cela importera le contenu WordPress comme un nouveau contenu dans le blog "
+"courant : %s."
 
 msgid "We first need some information about your old WordPress installation."
-msgstr "Nous avons besoin au préalable de quelques informations au sujet de votre ancienne installation WordPress."
-
-msgid "WordPress and Dotclear's handling of categories are quite different. You can assign several categories to a single post in WordPress. In the Dotclear world, we see it more like \"One category, several tags.\" Therefore Dotclear can only import one category per post and will chose the lowest numbered one. If you want to keep a trace of every category, you can import them as tags, with an optional prefix."
-msgstr "La gestion des catégories chez WordPress et Dotclear est tout à fait différente. Vous pouvez assigner plusieurs catégories à un seul poste dans WordPress. Dans le monde Dotclear, nous le voyons davantage comme « une catégorie, plusieurs mot-clés ». Par conséquent Dotclear peut seulement importer une catégorie par billet et il choisira celui de plus petit numéro. Si vous voulez conserver une trace de chaque catégorie, vous pouvez les importer sous forme de mot-clés, avec un préfixe optionnel."
-
-msgid "On the other hand, in WordPress, a post can not be uncategorized, and a default installation has a first category labelised <i>\"Uncategorized\"</i>. If you did not change that category, you can just ignore it while importing your blog, as Dotclear allows you to actually keep your posts uncategorized."
-msgstr "D'autre part, dans WordPress, un billet ne peut pas être sans catégorie, et une installation par défaut possède systématiquement une première catégorie nommée <i>« sans catégorie »</ i>. Si vous n'avez pas changé cette catégorie, vous pouvez simplement l'ignorer lors de l'importation sur votre blog, puisque Dotclear vous permet réellement de conserver votre message sans catégorie."
+msgstr ""
+"Nous avons besoin au préalable de quelques informations au sujet de votre "
+"ancienne installation WordPress."
+
+msgid ""
+"WordPress and Dotclear's handling of categories are quite different. You can "
+"assign several categories to a single post in WordPress. In the Dotclear "
+"world, we see it more like \"One category, several tags.\" Therefore "
+"Dotclear can only import one category per post and will chose the lowest "
+"numbered one. If you want to keep a trace of every category, you can import "
+"them as tags, with an optional prefix."
+msgstr ""
+"La gestion des catégories chez WordPress et Dotclear est tout à fait "
+"différente. Vous pouvez assigner plusieurs catégories à un seul poste dans "
+"WordPress. Dans le monde Dotclear, nous le voyons davantage comme « une "
+"catégorie, plusieurs mot-clés ». Par conséquent Dotclear peut seulement "
+"importer une catégorie par billet et il choisira celui de plus petit numéro. "
+"Si vous voulez conserver une trace de chaque catégorie, vous pouvez les "
+"importer sous forme de mot-clés, avec un préfixe optionnel."
+
+msgid ""
+"On the other hand, in WordPress, a post can not be uncategorized, and a "
+"default installation has a first category labelised <i>\"Uncategorized\"</"
+"i>. If you did not change that category, you can just ignore it while "
+"importing your blog, as Dotclear allows you to actually keep your posts "
+"uncategorized."
+msgstr ""
+"D'autre part, dans WordPress, un billet ne peut pas être sans catégorie, et "
+"une installation par défaut possède systématiquement une première catégorie "
+"nommée <i>« sans catégorie »</ i>. Si vous n'avez pas changé cette "
+"catégorie, vous pouvez simplement l'ignorer lors de l'importation sur votre "
+"blog, puisque Dotclear vous permet réellement de conserver votre message "
+"sans catégorie."
 
 msgid "Ignore the first category:"
@@ -929,6 +1048,10 @@
 msgstr "Filtres de contenu"
 
-msgid "You may want to process your post and/or comment content with the following filters."
-msgstr "Vous pouvez formater le contenu de vos billets et commentaires avec les filtres suivants."
+msgid ""
+"You may want to process your post and/or comment content with the following "
+"filters."
+msgstr ""
+"Vous pouvez formater le contenu de vos billets et commentaires avec les "
+"filtres suivants."
 
 msgid "Post content formatter:"
@@ -954,6 +1077,9 @@
 
 #, php-format
-msgid "ID of \"%3$s\" does not match on record \"%1$s\" at line %2$s of backup file."
-msgstr ""
+msgid ""
+"ID of \"%3$s\" does not match on record \"%1$s\" at line %2$s of backup file."
+msgstr ""
+"L'ID de \"%3$s\" ne correspond pas dans l'enregistrement \"%1$s\" à la ligne "
+"%2$s du fichier de sauvegarde."
 
 msgid "Please wait..."
@@ -963,4 +1089,7 @@
 msgstr "Maintenance"
 
+msgid "Maintain your installation"
+msgstr "Maintenez votre installation"
+
 msgid "Optimization successful."
 msgstr "Optimisation terminée avec succès."
@@ -1045,4 +1174,7 @@
 msgstr "gestion des pages"
 
+msgid "Serve entries as simple web pages"
+msgstr "Publie des billets comme de simples pages web"
+
 msgid "Published on"
 msgstr "Publié le"
@@ -1120,6 +1252,9 @@
 msgstr "Mot de passe de la page :"
 
-msgid "Warning: If you set the URL manually, it may conflict with another page."
-msgstr "Attention : si vous définissez vous-même l'URL, elle peut entrer en conflit avec celle d'une autre page."
+msgid ""
+"Warning: If you set the URL manually, it may conflict with another page."
+msgstr ""
+"Attention : si vous définissez vous-même l'URL, elle peut entrer en conflit "
+"avec celle d'une autre page."
 
 msgid "Add files to this page"
@@ -1138,4 +1273,7 @@
 msgstr "Signalements"
 
+msgid "Ping services"
+msgstr "Services de signalement"
+
 msgid "Pings configuration"
 msgstr "Configuration des signalements"
@@ -1168,4 +1306,10 @@
 msgstr "Menu simple"
 
+msgid "Simple Menu"
+msgstr "Menu simple"
+
+msgid "Simple menu for Dotclear"
+msgstr "Menu simple pour Dotclear"
+
 msgid "Menu"
 msgstr "Menu"
@@ -1356,4 +1500,7 @@
 msgstr "Format de la liste des mot-clés :"
 
+msgid "Tags for posts"
+msgstr "Mots-clés pour les billets"
+
 msgid "This tag's comments Atom feed"
 msgstr "Flux Atom des commentaires associés à ce mot-clé"
@@ -1421,6 +1568,10 @@
 
 #, php-format
-msgid "Unable to write file %s. Please check your theme files and folders permissions."
-msgstr "Impossible d'écrire le fichier %s. Contrôlez les permissions des fichiers et des répertoires de votre thème."
+msgid ""
+"Unable to write file %s. Please check your theme files and folders "
+"permissions."
+msgstr ""
+"Impossible d'écrire le fichier %s. Contrôlez les permissions des fichiers et "
+"des répertoires de votre thème."
 
 msgid "Saving document..."
@@ -1451,5 +1602,7 @@
 
 msgid "This file is not writable. Please check your theme files permissions."
-msgstr "Ce fichier n'est pas modifiable. Contrôlez les permissions de vos fichiers de thème."
+msgstr ""
+"Ce fichier n'est pas modifiable. Contrôlez les permissions de vos fichiers "
+"de thème."
 
 msgid "Templates files"
@@ -1462,4 +1615,10 @@
 msgstr "Fichiers JavaScript"
 
+msgid "user:preferences"
+msgstr "user:preferences"
+
+msgid "Manage every user preference directive"
+msgstr "Gestion des préférences utilisateur"
+
 msgid "Preferences successfully updated"
 msgstr "Préférences mises à jour avec succès"
@@ -1560,4 +1719,7 @@
 msgstr "Widgets"
 
+msgid "Widgets for your blog sidebars"
+msgstr "Widgets pour les volets de votre blog"
+
 msgid "Are you sure you want to reset sidebars?"
 msgstr "Êtes-vous sûr de vouloir remettre à zéro les volets ?"
@@ -1590,21 +1752,45 @@
 msgstr "Utilisation des widgets"
 
-msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
-msgstr "Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste des Widgets disponibles à gauche jusqu'à l'un des bandeaux sur la droite de la page. Vous pouvez ré-ordonner vos widgets dans un bandeau en le faisant glisser vers le haut ou vers le bas. Vous devez mettre à jour les bandeaux pour enregistrer vos modifications."
-
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
-msgstr "Une fois inclus dans un bandeau, les widgets ont généralement des options que vous pouvez configurer. Cliquez sur le signe + à côté de leur nom pour y accéder."
+msgid ""
+"Widgets may be used to add various blocks of content to be displayed on your "
+"public pages. To add a widget, drag it from the Available widgets list on "
+"the left to one of the sidebars on the right of this page. You can order "
+"your widgets in a sidebar by dragging them up or down. You must update "
+"sidebars to apply your changes."
+msgstr ""
+"Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos "
+"pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste "
+"des Widgets disponibles à gauche jusqu'à l'un des bandeaux sur la droite de "
+"la page. Vous pouvez ré-ordonner vos widgets dans un bandeau en le faisant "
+"glisser vers le haut ou vers le bas. Vous devez mettre à jour les bandeaux "
+"pour enregistrer vos modifications."
+
+msgid ""
+"Once included in a sidebar, widgets have configuration options that you can "
+"reach by clicking on the + sign next to their name."
+msgstr ""
+"Une fois inclus dans un bandeau, les widgets ont généralement des options "
+"que vous pouvez configurer. Cliquez sur le signe + à côté de leur nom pour y "
+"accéder."
 
 msgid "Reset sidebars to get back to default widgets installation."
-msgstr "Réinitialisez les bandeaux pour retrouver les widgets par défaut de votre installation."
+msgstr ""
+"Réinitialisez les bandeaux pour retrouver les widgets par défaut de votre "
+"installation."
 
 msgid "Widget templates tags"
 msgstr "Balise de widget"
 
-msgid "If you are allowed to edit your theme templates, you can directly add widgets as templates tags, with their own configuration."
-msgstr "Si vous êtes autorisé à modifier vos fichiers de thème, vous pouvez ajouter des widgets sous forme de balise, avec leur propre configuration."
+msgid ""
+"If you are allowed to edit your theme templates, you can directly add "
+"widgets as templates tags, with their own configuration."
+msgstr ""
+"Si vous êtes autorisé à modifier vos fichiers de thème, vous pouvez ajouter "
+"des widgets sous forme de balise, avec leur propre configuration."
 
 msgid "To add a widget in your template, you need to write code like this:"
-msgstr "Pour ajouter un widget à votre thème, vous devez insérer un code similaire à :"
+msgstr ""
+"Pour ajouter un widget à votre thème, vous devez insérer un code similaire "
+"à :"
 
 msgid "Widget ID"
@@ -1656,4 +1842,46 @@
 msgstr "Classe CSS :"
 
+msgid "Blogroll list"
+msgstr "Liste de liens"
+
+msgid "List of published pages"
+msgstr "Liste des pages publiées"
+
+msgid "List of simple menu items"
+msgstr "Liste des éléments de menu simple"
+
+msgid "Tags cloud"
+msgstr "Nuage de mots-clés"
+
+msgid "Search engine form"
+msgstr "Formulaire de recherche"
+
+msgid "List of navigation links"
+msgstr "List des liens de navigation"
+
+msgid "List of selected entries"
+msgstr "Liste des billets sélectionnés"
+
+msgid "List of available languages"
+msgstr "Liste des langues disponibles"
+
+msgid "List of categories"
+msgstr "Liste des catégories"
+
+msgid "RSS or Atom feed subscription links"
+msgstr "Liens d'abonnements aux flux RSS ou Atom"
+
+msgid "Last entries from feed"
+msgstr "Derniers billets d'un flux"
+
+msgid "Simple text"
+msgstr "Texte simple"
+
+msgid "List of last entries published"
+msgstr "Derniers billets publiés"
+
+msgid "List of last comments posted"
+msgstr "Liste des derniers commentaires postés"
+
 #~ msgid "Export a blog"
 #~ msgstr "Exporter un blog"
@@ -1670,44 +1898,2 @@
 #~ msgid "The backup file does not appear to be well formed."
 #~ msgstr "Le fichier de sauvegarde semble mal formaté."
-
-msgid "Blogroll list"
-msgstr "Liste de liens"
-
-msgid "List of published pages"
-msgstr "Liste des pages publiées"
-
-msgid "List of simple menu items"
-msgstr "Liste des éléments de menu simple"
-
-msgid "Tags cloud"
-msgstr "Nuage de mots-clés"
-
-msgid "Search engine form"
-msgstr "Formulaire de recherche"
-
-msgid "List of navigation links"
-msgstr "List des liens de navigation"
-
-msgid "List of selected entries"
-msgstr "Liste des billets sélectionnés"
-
-msgid "List of available languages"
-msgstr "Liste des langues disponibles"
-
-msgid "List of categories"
-msgstr "Liste des catégories"
-
-msgid "RSS or Atom feed subscription links"
-msgstr "Liens d'abonnements aux flux RSS ou Atom"
-
-msgid "Last entries from feed"
-msgstr "Derniers billets d'un flux"
-
-msgid "Simple text"
-msgstr "Texte simple"
-
-msgid "List of last entries published"
-msgstr "Derniers billets publiés"
-
-msgid "List of last comments posted"
-msgstr "Liste des derniers commentaires postés"