Index: admin/style/date-picker.css
===================================================================
--- admin/style/date-picker.css	(revision 2109)
+++ admin/style/date-picker.css	(revision 2300)
@@ -24,5 +24,5 @@
 }
 .date-picker-control, th.date-picker-control {
-	color: #06c;
+	color: #2373A8;
 	cursor: pointer;
 }
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2298)
+++ admin/style/default.css	(revision 2300)
@@ -364,5 +364,5 @@
 	border-width: 1px 0 1px 0;
 	border-style: solid;
-	border-color: #ddd;
+	border-color: #dfdfdf;
 	background: #eef1ec;
 	padding: .4em 1em .4em .5em;
@@ -385,6 +385,6 @@
 	height: 1px;
 	border-width: 1px 0 0;
-	border-color: #ddd;
-	background: #ddd;
+	border-color: #dfdfdf;
+	background: #dfdfdf;
 	border-style: solid;
 	}
@@ -396,5 +396,5 @@
 	}
 code {
-	background: #FAFAD1;
+	background: #fefacd;
 	}
 pre {
@@ -465,11 +465,11 @@
 	}
 input[type=text], input[type=password], textarea, select {
-	background: #fbfbfb;
+	background: #fcfcfc;
 	color: #000;
 	border-width: 1px;
 	border-style: solid;
-	border-color: #ddd;
+	border-color: #dfdfdf;
 	border-radius: 3px;
-	box-shadow: 1px 1px 2px #F1F1F1 inset;
+	box-shadow: 1px 1px 2px #f3f3f3 inset;
 	padding: 3px; 
 	vertical-align: top;
@@ -479,5 +479,5 @@
 		-moz-box-sizing: border-box;
 		box-sizing: border-box;
-		border-color: #bee74b;
+		border-color: #9bca1c;
 		}
 	textarea {
@@ -572,5 +572,5 @@
 		}
 		label.required abbr {
-			color: #dd0000;
+			color: #900;
 			font-size: 1.3em;
 			}
@@ -666,9 +666,9 @@
 	color: #000;
     background-color: #EAEAEA;
-	background-image: -webkit-gradient(linear, left top, left bottom, from(#FAFAFA), to(#EAEAEA));
-	background-image: -moz-linear-gradient(top,  #FAFAFA,  #EAEAEA);
-	background-image:linear-gradient(#FAFAFA,#EAEAEA);
+	background-image: -webkit-gradient(linear, left top, left bottom, from(#f9f9f9), to(#EAEAEA));
+	background-image: -moz-linear-gradient(top,  #f9f9f9,  #EAEAEA);
+	background-image:linear-gradient(#f9f9f9,#EAEAEA);
     background-repeat: repeat-x;
-    border-color: #DDDDDD #DDDDDD #C5C5C5;
+    border-color: #dfdfdf #dfdfdf #C5C5C5;
     text-shadow: 0 1px 0 rgba(255, 255, 255, 0.9);
 	}
@@ -713,5 +713,5 @@
 	background-image:-moz-linear-gradient(center top, #bee74b 5%, #9BCA1C 100%);
 	background-image:linear-gradient(center top, #bee74b 5%, #9BCA1C 100%);
-	border-color: #B2D742;
+	border-color: #bee74b;
 	padding:.33em 1.33em .5em;
 	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
@@ -769,5 +769,5 @@
 	.warn, .warning {
 		background: #FEFACD url(msg-warning.png) no-repeat .3em .3em;
-		border: 1px solid #F7E07E;
+		border: 1px solid #ffd478;
 		}
 	.info {
@@ -807,10 +807,9 @@
 		}
 		.success {
-			background: #bee74b url(msg-success.png) no-repeat .7em .7em;
-			background-color: #a2f157;
+			background: #9bca1c url(msg-success.png) no-repeat .7em .7em;
 			}
 		.warning-msg {
-			background: #F7E07E url(msg-warning.png) no-repeat .7em .7em;
-			border: 1px solid #F7E07E;
+			background: #ffd478 url(msg-warning.png) no-repeat .7em .7em;
+			border: 1px solid #ffd478;
 			}
 		.success a, .warning-msg a, .info a {
@@ -1048,5 +1047,5 @@
 		background: #dfdfdf;
 		border-color: #999;
-		color: #444;
+		color: #333;
 		border-bottom-right-radius: .3em;
 		border-top-right-radius: .3em;
@@ -1055,5 +1054,5 @@
 		text-shadow: none;
 		border: none;
-		border-left: 1px solid #aaa;
+		border-left: 1px solid #999;
 		font-size: 10px; /* ie < 9 sucks */
 		font-size: 1rem;
@@ -1067,5 +1066,5 @@
 .part-tabs ul {
 	padding: .5em 0 0 1em;
-	border-bottom: 1px solid #ddd;
+	border-bottom: 1px solid #dfdfdf;
 	line-height: 2;
 	}
@@ -1171,5 +1170,5 @@
 		.help-content dt {
 			font-weight: bold;
-			color: #626262;
+			color: #676e78;
 			margin: 0;
 			}
@@ -1268,5 +1267,5 @@
 .noborder td, td.noborder, .noborder th, th.noborder {
 	border-width: 0 0 1px 0;
-	border-color: #ddd;
+	border-color: #dfdfdf;
 	line-height: 2em;
 	padding-bottom: 0;
@@ -1373,5 +1372,5 @@
 	}
 #login-screen .fieldset {
-	border: 1px solid #A8DC26;
+	border: 1px solid #9bca1c;
 	padding: 1em 1em 0 1em;
 	border-radius: 3px;
@@ -1436,5 +1435,5 @@
 			-webkit-border-radius:8px;
 			border-radius:8px;
-			border:1px solid #dcdcdc;
+			border:1px solid #dadada;
 			display:inline-block;
 			}
@@ -1456,8 +1455,8 @@
 	#quick p.qinfo {
 		margin: -.7em -1em 1em;
-		background: #f3f3ff url(info.png) no-repeat .2em .2em;
-		border: 1px solid #99f;
+		background: #D9EDF7 url(info.png) no-repeat .2em .2em;
+		border: 1px solid #BCE8F1;
 		padding: .2em 1em .1em 24px;
-		color: #676e78;
+		color: #000;
 		}
 	#quick #new_cat, .q-cat, .q-cat label {
@@ -1574,5 +1573,5 @@
 	margin: .5em;
 	padding: 10px 10px 5px 10px;
-	border: 1px solid #ddd;
+	border: 1px solid #dfdfdf;
 	min-height: 295px;
 	position: relative;
@@ -1605,4 +1604,6 @@
 #theme-new .theme .module-sshot img { /* pour ceux qui n'ont pas de miniature */
 	max-width: 240px;
+	max-height: 210px;
+	overflow:hidden;
 	}
 .module-actions {
@@ -1693,5 +1694,5 @@
 		margin: .66em 0;
 		padding: .66em 1em;
-		border: 1px solid #bbb;
+		border: 1px solid #ccc;
 		border-radius: 3px;
 		}
@@ -1754,5 +1755,5 @@
 .media-item {
 	position: relative;
-	border: 1px solid #ddd;
+	border: 1px solid #dfdfdf;
 	margin: 9px;
 	padding: 10px 12px 6px;
@@ -1883,5 +1884,5 @@
 	margin-left: 0;
 	padding-left: 0;
-	border-bottom: 1px solid #ddd;
+	border-bottom: 1px solid #dfdfdf;
 	}
 .files li {
@@ -1893,5 +1894,5 @@
 	}
 .upload-msg.upload-error {
-	color: #c00;
+	color: #900;
 	}
 .upload-files {
@@ -1902,5 +1903,5 @@
 	margin: 0;
 	padding: .3em 0;
-	border-top: 1px solid #ddd;
+	border-top: 1px solid #dfdfdf;
 	position: relative;
 	}
@@ -1932,5 +1933,5 @@
 	}
 .upload-filemsg.upload-error {
-	color: #c00;
+	color: #900;
 	}
 .upload-progress {
@@ -2020,5 +2021,5 @@
 .modules td.expand {
 	padding: 0 0 1em;
-	border-top: 1px solid #e5e5e5;
+	border-top: 1px solid #eaeaea;
 	}
 .modules td.expand div {
@@ -2070,5 +2071,5 @@
 		}
 	.sb-box {
-		border-bottom: 1px solid #ddd;
+		border-bottom: 1px solid #dfdfdf;
 		margin-bottom: 1em;
 		}
@@ -2112,10 +2113,10 @@
 		left: 10em;
 		background-color: #f7f7f7;
-		border: 1px solid #ddd;
+		border: 1px solid #dfdfdf;
 		padding: .2em;
 		border-radius: .5em;
 		}
 #my-favs {
-	border-color: #A8DC26;
+	border-color: #9bca1c;
 	}
 	#my-favs input.position {
@@ -2135,5 +2136,5 @@
 	left: 10em;
 	background-color: #f7f7f7;
-	border: 1px solid #ddd;
+	border: 1px solid #dfdfdf;
 	padding: .2em;
 	border-radius: .5em;
@@ -2171,5 +2172,5 @@
 	}
 .guideline .one-box .box {
-	border: 1px solid #ddd; 
+	border: 1px solid #dfdfdf; 
 	padding: 2px .5em;
 	}
@@ -2205,5 +2206,5 @@
 	}
 .ac_over {
-	background-color: #06c;
+	background-color: #2373A8;
 	color: white;
 	}
@@ -2228,21 +2229,21 @@
 		}
 		.pw-very-weak .bar {
-			background: #900;
+			background: #b33630;
 			width: 30px;
 			}
 		.pw-weak .bar {
-			background: #c00;
+			background: #b33630;
 			width: 60px;
 			}
 		.pw-mediocre .bar {
-			background: #f60;
+			background: #f90;
 			width: 90px;
 			}
 		.pw-strong .bar {
-			background: #060;
+			background: #9bca1c;
 			width: 120px;
 			}
 		.pw-very-strong .bar {
-			background: #0c0;
+			background: #9bca1c;
 			width: 150px;
 			}
@@ -2263,8 +2264,8 @@
 	}
 	.nav_prevnext a, a.back {
-		border: 1px solid #ddd;
+		border: 1px solid #dfdfdf;
 		padding: 2px 1.5em;
 		border-radius: .75em;
-		background-color: #f0f0f0;
+		background-color: #f3f3f3;
 		}
 		a.back:before {
@@ -2277,5 +2278,7 @@
 			padding: 2px 1.5em;
 			border-radius: .75em;
-			background-color: #ffe;
+			background-color: #ECF0F1;
+			-webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
+			        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
 			}
 /* Pagination */
@@ -2297,12 +2300,12 @@
 	}
 	.pager .btn {
-		border: 1px solid #ddd;
+		border: 1px solid #dfdfdf;
 		background-color: #fcfcfc;
-		color: #738182; 
+		color: #676e78; 
 		border-radius: 3px;
 		overflow: hidden;
 		}
 		.btn.no-link {
-			border-color: #ddd;
+			border-color: #dfdfdf;
 			background-color: #f9f9f9;
 			padding: 1px 3px 0;
@@ -2316,5 +2319,5 @@
 		}
 	.direct-access input[type=text] {
-		border: 1px solid #ddd;
+		border: 1px solid #dfdfdf;
 		padding: 3px 8px;
 		margin-left: .25em;
@@ -2359,11 +2362,11 @@
 	border-radius: 3px;
 	font-weight: bold;
-	border: 1px solid #bdc3c7;
-	color: #738182;
+	border: 1px solid #c5c5c5;
+	color: #676e78;
 	}
 /* ---------------------------------------------------------------- utilisables partout  */
 .fieldset {
 	background: #fff;
-	border: 1px solid #bbb;
+	border: 1px solid #c5c5c5;
 	border-radius: 3px;
 	padding: 1em .7em .5em;
@@ -2456,5 +2459,5 @@
 	width: 100%;
 	height: 4px;
-	background: #ff6;
+	background: #ffd478;
 	}
 #debug div {
@@ -2474,14 +2477,14 @@
 	}
 .debug {
-	background: #ff6;
+	background: #ffd478;
 	padding: 3px 0.5em 2px;
 	}
 input[type=submit].delete.debug, a.delete.debug {
-	border-color: #ff6;
+	border-color: #ffd478;
 	}
 input[type=submit].delete.debug:hover, a.delete.debug:hover {
-	background: #ff6;
-	color: #c00;
-	border-color: #ff6;
+	background: #ffd478;
+	color: #900;
+	border-color: #ffd478;
 	}
 /* ---------------------------------------------- Couleurs ajoutées via javascript	
@@ -2514,5 +2517,5 @@
 	}
 .colorBeginError {
-	color: #ffdec8;
+	color: #fefacd;
 	}
 .colorBeginSuccess {
Index: admin/style/install.css
===================================================================
--- admin/style/install.css	(revision 2031)
+++ admin/style/install.css	(revision 2300)
@@ -38,5 +38,5 @@
 }
 body.install h2 {
-	color: #ff6000;
+	color: #f90;
 }
 body.install h3 {
@@ -97,5 +97,5 @@
 }
 label.required abbr {
-	color: #dd0000;
+	color: #900;
 	font-size: 1.3em;
 }
@@ -187,9 +187,9 @@
 }
 .pw-mediocre .bar {
-	background: #f60;
+	background: #f90;
 	width: 90px;
 }
 .pw-strong .bar {
-	background: #060;
+	background: #080;
 	width: 120px;
 }
Index: inc/core_error.php
===================================================================
--- inc/core_error.php	(revision 1179)
+++ inc/core_error.php	(revision 2300)
@@ -38,10 +38,10 @@
   }
   a, a:link, a:visited {
-	color : #06c;
+	color : #2373A8;
 	text-decoration : none;
 	border-bottom : 1px dotted #f90;
   }
   h1 {
-  	color: #06c;
+  	color: #2373A8;
   	font-size: 2.5em;
   	font-weight: normal;
Index: plugins/tags/style.css
===================================================================
--- plugins/tags/style.css	(revision 2152)
+++ plugins/tags/style.css	(revision 2300)
@@ -37,5 +37,5 @@
 	}
 a.metaRemove:hover, a.metaRemove:focus {
-	color : #06c !important;
+	color : #2373A8 !important;
 	}
 .addMeta a {
@@ -90,5 +90,5 @@
 	}
 .ac_over {
-	background-color: #06c;
+	background-color: #2373A8;
 	color: white;
 	}