Index: locales/fr/help/index.html
===================================================================
--- locales/fr/help/index.html	(revision 2255)
+++ locales/fr/help/index.html	(revision 2402)
@@ -13,8 +13,8 @@
 	</div>
 
-	<p>Sur chaque page de l'administration, vous retrouverez les mêmes bandeau haut, menu principal et pied de page. <em>(Les emplacements de chacun de ces éléments sont indiqués ici pour une consultation sur ordinateur&nbsp;; sur un mobile ou une tablette, leur emplacement varie selon la place disponible.)</em></p>
+	<p>Sur chaque page de l'administration, vous retrouverez les mêmes volet en haut, menu principal et pied de page. <em>(Les emplacements de chacun de ces éléments sont indiqués ici pour une consultation sur ordinateur&nbsp;; sur un mobile ou une tablette, leur emplacement varie selon la place disponible.)</em></p>
 
 	<h4 class="pretty-title">Bandeau haut</h4>
-	<p>Le bandeau en haut de chaque page est composé de trois éléments :</p>
+	<p>Le volet en haut de chaque page est composé de trois éléments :</p>
 	<h5 class="as_h4">Logo</h5>
 	<p>Par défaut, ce logo est celui de Dotclear et son lien conduit vers l'accueil de l'administration. Toutefois, un gestionnaire de plate-forme peut choisir un autre logo et diriger le lien vers autre chose que l'accueil (en général la page d'accueil du service).</p>
@@ -25,5 +25,5 @@
 
 	<h5 class="as_h4">Utilisateur</h5>
-	<p>À l'extrême droite du bandeau haut, le lien <em>Mon tableau de bord</em> permet de revenir à l'accueil du blog.</p>
+	<p>À l'extrême droite du volet haut, le lien <em>Mon tableau de bord</em> permet de revenir à l'accueil du blog.</p>
 	<p>Le lien suivant, <em>Mes préférences</em> dirige vers la page où vous pourrez modifier vos informations personnelles, configurer votre tableau de bord et choisir vos options d'interface et d'édition.</p>
 	<p>Étonnamment, le lien <em>Déconnecter [votre login]</em> permet de… se déconnecter, si si. (Chez Dotclear, on est trop forts en ergo.)</p>
@@ -70,5 +70,5 @@
 					<ul><li>Créer un sous-répertoire</li><li>Ajouter des fichiers</li><li>Télécharger une archive zip du dossier courant</li><li>Modifier ou compléter les informations d&#039;un fichier</li><li>Ajout direct de fichiers</li><li>Types de fichier particuliers</li><li>Pièces jointes</li></ul></li>
 				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/widgets">Contenu du menu du blog (widgets)</a>
-					<ul><li>Bandeau de navigation, bandeau d&#039;extra</li><li>Les widgets par défaut</li><li>Ajouter/Supprimer un widget</li><li>Paramétrage des widgets</li></ul></li>
+					<ul><li>Bandeau de navigation, volet d&#039;extra</li><li>Les widgets par défaut</li><li>Ajouter/Supprimer un widget</li><li>Paramétrage des widgets</li></ul></li>
 				<li><a href="http://fr.dotclear.org/documentation/2.0/usage/blogroll">Blogroll</a>
 					<ul><li>Liste des liens</li><li>Ajouter un lien</li><li>Ajouter une catégorie de liens</li><li>XFN</li><li>Importer depuis un fichier OPML ou XBEL</li></ul></li>
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 2399)
+++ locales/fr/main.po	(revision 2402)
@@ -3505,8 +3505,8 @@
 
 #~ msgid "List of last entries published"
-#~ msgstr "Derniers billets publiés"
-
-#~ msgid "List of last comments posted"
-#~ msgstr "Derniers commentaires postés"
+#~ msgstr "Liste des derniers billets publiés"
+
+#~ msgid "List of last comments published"
+#~ msgstr "Liste des derniers commentaires publiés"
 
 #~ msgid "List of published pages"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2399)
+++ locales/fr/plugins.po	(revision 2402)
@@ -88,9 +88,9 @@
 msgstr "Liste des catégories"
 
-msgid "RSS or Atom feed subscription links"
-msgstr "Liens d'abonnements aux flux RSS ou Atom"
-
-msgid "Last entries from feed ( RSS or Atom )"
-msgstr "Derniers billets du flux (RSS ou Atom)"
+msgid "Feed subscription links (RSS or Atom)"
+msgstr "Liens de souscription aux flux (RSS ou Atom)"
+
+msgid "List of last entries from feed (RSS or Atom)"
+msgstr "Liste des derniers billets d'un flux (RSS or Atom)"
 
 msgid "Simple text"
@@ -98,8 +98,8 @@
 
 msgid "List of last entries published"
-msgstr "Derniers billets publiés"
-
-msgid "List of last comments posted"
-msgstr "Liste des derniers commentaires postés"
+msgstr "Liste des derniers billets publiés"
+
+msgid "List of last comments published"
+msgstr "Liste des derniers commentaires publiés"
 
 msgid "Tags cloud"
@@ -2023,5 +2023,5 @@
 
 msgid "Add widgets to sidebars"
-msgstr "Ajouter les widgets aux bandeaux"
+msgstr "Ajouter les widgets aux volets"
 
 msgid "Navigation sidebar"
@@ -2044,11 +2044,11 @@
 
 msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
-msgstr "Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste des Widgets disponibles à gauche jusqu'à l'un des bandeaux sur la droite de la page. Vous pouvez ré-ordonner vos widgets dans un bandeau en le faisant glisser vers le haut ou vers le bas. Vous devez mettre à jour les bandeaux pour enregistrer vos modifications."
+msgstr "Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste des Widgets disponibles à gauche jusqu'à l'un des volets sur la droite de la page. Vous pouvez ré-ordonner vos widgets dans un volet en le faisant glisser vers le haut ou vers le bas. Vous devez mettre à jour les volets pour enregistrer vos modifications."
 
 msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
-msgstr "Une fois inclus dans un bandeau, les widgets ont généralement des options que vous pouvez configurer. Cliquez sur la flèche à côté de leur nom pour y accéder."
+msgstr "Une fois inclus dans un volet, les widgets ont généralement des options que vous pouvez configurer. Cliquez sur la flèche à côté de leur nom pour y accéder."
 
 msgid "Reset sidebars to get back to default widgets installation."
-msgstr "Réinitialisez les bandeaux pour retrouver les widgets par défaut de votre installation."
+msgstr "Réinitialisez les volets pour retrouver les widgets par défaut de votre installation."
 
 msgid "Widget templates tags"
Index: plugins/blogroll/locales/fr/help/blogroll.html
===================================================================
--- plugins/blogroll/locales/fr/help/blogroll.html	(revision 1971)
+++ plugins/blogroll/locales/fr/help/blogroll.html	(revision 2402)
@@ -19,5 +19,5 @@
   l'endroit désiré. Une fois vos liens ordonnés, cliquez sur "enregistrer l'ordre"
   afin d'appliquer les changements. L'ordre que vous choisissez sur cet écran sera
-  l'ordre dans lequel s'afficheront les liens sur vos bandeaux de navigation par
+  l'ordre dans lequel s'afficheront les liens sur vos volets de navigation par
   le biais du widget 'liens'.<br />
   Cliquer sur un lien vous mènera à sa fenêtre d'édition.</dd>
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 2398)
+++ plugins/widgets/_default_widgets.php	(revision 2402)
@@ -57,5 +57,5 @@
 $__widgets->categories->advanced_setting('class',__('CSS class:'),'');
 
-$__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'RSS or Atom feed subscription links');
+$__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'Feed subscription links (RSS or Atom)');
 $__widgets->subscribe->setting('title',__('Title (optional)').' :',__('Subscribe'));
 $__widgets->subscribe->setting('type',__('Feeds type:'),'atom','combo',array('Atom' => 'atom', 'RSS' => 'rss2'));
@@ -65,5 +65,5 @@
 $__widgets->subscribe->advanced_setting('class',__('CSS class:'),'');
 
-$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'Last entries from feed ( RSS or Atom )');
+$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'List of last entries from feed (RSS or Atom)');
 $__widgets->feed->setting('title',__('Title (optional)').' :',__('Somewhere else'));
 $__widgets->feed->setting('url',__('Feed URL:'),'');
@@ -100,5 +100,5 @@
 $__widgets->lastposts->advanced_setting('class',__('CSS class:'),'');
 
-$__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments posted');
+$__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments published');
 $__widgets->lastcomments->setting('title',__('Title (optional)').' :',__('Last comments'));
 $__widgets->lastcomments->setting('limit',__('Comments limit:'),10);